package com.sf.day13._02_code_block.dt;

/**
 * create By  fjl
 */
public class Student {

    /**
     * 定义一个初始化代码块
     * 每次创建对象的时候都会调用初始化代码块
     * 以后这个初始化代码块我们基本上是不用的, 因为就算做一些初始化的操作也是在构造器当中完成
     */
    {
        System.out.println("调用了初始化代码块");
    }

    /**
     * 创建一个静态代码块
     * 静态代码块只是在你字节码加载到jvm当中的时候执行一次
     */
    static {
        System.out.println("加载配置文件 静态代码块");
    }

    public Student(){
        System.out.println("调用了无参数构造器");
    }
}
