package com.sf.day16._03_generics;

import com.sf.day16._03_generics.dt.*;

import java.util.ArrayList;
import java.util.List;

/**
 * create By  fjl
 */
public class Test {
    public static void main(String[] args) {




        method3();
    }

    private static void method2() {
        //需求：定义一个类Point，x和y表示横纵坐标，类型可以String、也可以Integer、也可以Double表示坐标类型。
        // 获取横纵坐标值

        //没有泛型之前
        //分别创建3个Point坐标, 使用3个不同数据类  Integer  Double String
//        Point point = new Point(10,20);
//        Integer x = point.getX();
//
//        Poiint1 poiint1 = new Poiint1("10", "30");
//        String x1 = poiint1.getX();
//
//        Point2 point2 = new Point2(10.00, 20.00);
//        Double x2 = point2.getX();

        //我想要的效果只定义一个类,可以接受不同的类型
        // 解决: 可以通过泛型解决问题
//        Point4<Integer> point4 = new Point4<>(10,20);
//        System.out.println(point4.getX());
//
//        Point4<String> p2 = new Point4<>("100","30");
//        System.out.println(p2.getX());
//
//        Point4<Double> p3 = new Point4<>(20.00,30.00);
//        System.out.println(p3.getX());
        Point4.eat(123);
        Point4.eat("你好");



    }

    public static void method3(){

        /**
         * 需求: 定义一个类 当中提供方法是静态方法 无返回值 eat 方法 ,
         * 如果传入的是猫就打印猫吃饭 ,如果传入的是狗就打印狗吃饭  要求使用泛型是去做
         */
        AnmailUtil.eat(new Cat());
    }

    public static void method1(){
        /**
         * 在没有泛型之前
         *  往ArrayList当中存储数据 在获取数据的时候要进行类型的强转
         *
         *  List他在设计的时候,考虑到list当中可能会存储各种各样类型元素,他就没有把类型写死而是用Object类型
         *
         *  但是有一些业务场景,我的集合就只存字符串, 我的集合当中就只存Integer
         *  我们可不可以做到存的时候是字符串类型, 取的时候也是一个字符串的类型, 不需要我们进行强转的动作
         *
         *  解决:  使用泛型
         *  List<泛型> list = new ArrayList<>();         *
         *  泛型: 现在简单理解就是你集合当中元素的类型
         *
         */
        List<String> list = new ArrayList<>();
        list.add("123");
        list.add("232");
        list.add("223");
        list.add("323");
//        String obj = (String) list.get(0);
        String str = list.get(0);
        System.out.println(str);


    }
}
