package com.sf.day17._01_set.dt;

/**
 * create By  fjl
 */

/**
 * Compareable<泛型>
 *
 * 泛型: 就是节点元素的类型
 * 我现在要按照年龄进行排序, 也就以为我的树当中存储 年龄数据
 */
public class Student{
    private String name;
    private Integer age;

    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }

    public Student() {
    }

    public Student(String name, Integer age) {
        this.name = name;
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     *  返回值3中
     *  负数 : 放左边
     *  正数: 放右边
     *  0 : 不添加
     */
    // 比较的方法
//    @Override
//    public int compareTo(Student o) {
//        if(this.name.length() > o.name.length()){
//            return 1;
//        }else if(this.name.length() < o.name.length()){
//            return -1;
//        }else{
//            return 0;
//        }
//    }
}
