package com.sf.day11._01_interface_def.test;

import com.sf.day11._01_interface_def.IWalkable;
import com.sf.day11._01_interface_def.impl.DogWalkableImpl;
import com.sf.day11._01_interface_def.impl.PersonWalkableImpl;

/**
 * create By  fjl
 */
public class InterfaceTest {

    public static void main(String[] args) {
        /**
         * 想要调用DogWalableImpl 当中walk 方法
         * 如何操作?
         * 这是一个类, 类当中方法: 静态方法 , 实例方法
         * 实例方法: 对象.方法名()
         */
        DogWalkableImpl impl = new DogWalkableImpl();
        impl.walk();

        // 相同需求: 调用PersonWalkabaleImpl 当中walk 方法
        PersonWalkableImpl personWalkableImpl = new PersonWalkableImpl();
        personWalkableImpl.walk();

        // 后面我们用的更多一种调用方式
        IWalkable walkable = new PersonWalkableImpl();
        walkable.walk();
    }
}
