package com.sf.day12._03_interface_contact.impl;

import com.sf.day12._03_interface_contact.IFunctionAble;
import com.sf.day12._03_interface_contact.dt.Department;

/**
 * create By  fjl
 */
public class FunctionAbleImpl implements IFunctionAble {

    @Override
    public boolean checkByUsername(String username) {
        // 判断数组当中是否包含username 如果包含的话返回true ,如果不包含返回false
        // 1 定义一个数组
        String[] arr = {"admin","root","test"};
        // 2 如何判断数组当中是否元素呢?
        // 解决: 遍历数组,可以拿到数组当中每一个元素,拿方法参数和数组当中元素进行对比
        // 如果相等表示他在数组当中, 如果没有呢表示不在我们数组中返回false
        for (int i = 0; i < arr.length; i++) {
            String item = arr[i];
            if(item.equals(username)){
                return true;
            }
        }
        return false;
    }

    @Override
    public void login(String username, String password) {
        //1 判断账号密码是否否null
        if(username==null || password==null){
            System.out.println("账号或者密码不能为空");
            return;
        }
        //2 判断用户名是否存在
        boolean flag = checkByUsername(username);
        if(!flag){
            System.out.println("账号不存在");
            return;
        }
        //3 判断账号是否为admin 密码是否为123
        if("admin".equals(username) && "123".equals(password)){
            System.out.println("登录成功");
        }else{
            System.out.println("账号密码错误");
        }
    }

    @Override
    public void register(String name, String sn) {
        // 1 判断name 和sn 不能为空
        if(name ==null || sn == null){
            System.out.println("name 和sn 不能为空");
        }
        // 2 如果不为空吧name 和sn 封装到department 对象当中
        Department department = new Department(name,sn);
        // 3 打印department 对象
        // object 是所有对象最顶层父类,在打印的时候默认是调用Object当中toString()方法
        // 默认打印是对象地址值
        System.out.println(department);
    }
}
